/* print_screen.c:  Prints a screen image  */

/* Usage: printscreen  [ -t vc# ] 
		where vc# = virtual console number. (default: current screen)
   Bugs:  Doesn't have an option for output to file.
	  Doesn't trap signals and cleanup.
*/

#include <stdio.h>
#include <stdlib.h>

int 
main(int argc, char *argv[])
{
	char c;
	char *tty = "  ";  /* setterm assumes our present VC by default */
	char prog_name[100]; /* for program name */
	char cmd_line[30] = "screendump ";

	strcpy(prog_name,argv[0]);  /* save program name */

	if ( argc > 3 ) {
		printf("usage: print_screen [ -t vc# ]");
		return 1;
	}
	while(--argc > 0 && (*++argv)[0] == '-') 
		while(c = *++argv[0]) 
			switch(c) { 
			case 't':
				tty = *++argv;  /* Get other VC number */
				break;
			default:
				printf("%s: illegal option %c\n",prog_name,c);
				return 1;
			}
	strcat(cmd_line,tty); /* add optional VC number to command line */
	strcat(cmd_line," > screen.dump");
 	system(cmd_line);     /* run setterm -dump */
	system("lpr screen.dump"); /* print out the dump */ 
	system("rm screen.dump"); /* clean up */
	return 0;
}
